Bug 1285787 - [RFE] support running ovirt infra functional tests on top of lago
[RFE] support running ovirt infra functional tests on top of lago
Status: VERIFIED
Product: ovirt-system-tests
Classification: Community
Component: RFEs (Show other bugs)
0.4
Unspecified Unspecified
unspecified Severity unspecified
: milestone3
: 0.5
Assigned To: Yaniv Bronhaim
Yaniv Bronhaim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-26 08:19 EST by Eyal Edri
Modified: 2016-03-29 02:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48268 None None None Never

  None (edit)
Description Eyal Edri 2015-11-26 08:19:48 EST
Description of problem:
original request:
We need to create a jenkins job that will run vdsm functional tests on vdsm nightly.
The job needs to use the ovirt-system-tests package.

And run the following script from within the 'ovirt-system-tests' directory:
./run_suite.sh vdsm_functional/

This script creates three machines (el7, fc22) and runs functional tests on them.

Output from each machine is then delivered in 2 forms:
HOSTNAME (a text file)
nosetests-HOSTNAME.xml (xunit format of jenkins)
Output is generated in the directory in which it runs, but path can be changed easily.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Eyal Edri 2015-12-06 05:24:24 EST
how is it going yaniv? are we close to having a standard way of running functional tests?
Comment 2 Yaniv Bronhaim 2016-01-04 08:38:05 EST
I have https://gerrit.ovirt.org/48268 which is nice and include all we need. but unfortunately it takes way too long to finish. David and I need to work on making the lago init part faster and the rest of vdsm developers should help me to fix and decrease the tests running time.
Comment 3 Mike McCune 2016-03-28 19:46:50 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Yaniv Bronhaim 2016-03-29 02:53:22 EDT
Already done. missed that bugzilla
Comment 5 Yaniv Bronhaim 2016-03-29 02:55:52 EDT
Bug can move to VERIFIED - its already run each merge in master branch.

Note You need to log in before you can comment on or make changes to this bug.